/*
 * Copyright (c) 2021 Macrometa Corp All rights reserved.
 */

// Load bindings from WIT file.
wit_bindgen_rust::import!({paths: ["../../wit/logger.wit"]});

pub use self::logger::{log_debug, log_error, log_info, log_trace, log_warn};

#[macro_export]
macro_rules! error {($($arg:tt)+) => ($crate::binding::log::log_error(&format!($($arg)+)))}
pub use crate::error;
#[macro_export]
macro_rules! warn  {($($arg:tt)+) => ($crate::binding::log::log_warn(&format!($($arg)+)))}
pub use crate::warn;
#[macro_export]
macro_rules! info  {($($arg:tt)+) => ($crate::binding::log::log_info(&format!($($arg)+)))}
pub use crate::info;
#[macro_export]
macro_rules! debug {($($arg:tt)+) => ($crate::binding::log::log_debug(&format!($($arg)+)))}
pub use crate::debug;
#[macro_export]
macro_rules! trace {($($arg:tt)+) => ($crate::binding::log::log_trace(&format!($($arg)+)))}
pub use crate::trace;
